<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>PySpottedUnipd: pyspottedunipd.analysis.models.MLAnalysis Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">PySpottedUnipd
   &#160;<span id="projectnumber">0.0.2</span>
   </div>
   <div id="projectbrief">Figure out how you can find your sweet half or how to get attention and get liked in one of the most popular @Unipd facebook pages.</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('classpyspottedunipd_1_1analysis_1_1models_1_1_m_l_analysis.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-static-attribs">Static Public Attributes</a> &#124;
<a href="classpyspottedunipd_1_1analysis_1_1models_1_1_m_l_analysis-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">pyspottedunipd.analysis.models.MLAnalysis Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for pyspottedunipd.analysis.models.MLAnalysis:</div>
<div class="dyncontent">
 <div class="center">
  <img src="classpyspottedunipd_1_1analysis_1_1models_1_1_m_l_analysis.png" usemap="#pyspottedunipd.analysis.models.MLAnalysis_map" alt=""/>
  <map id="pyspottedunipd.analysis.models.MLAnalysis_map" name="pyspottedunipd.analysis.models.MLAnalysis_map">
<area href="classpyspottedunipd_1_1analysis_1_1models_1_1_stats_analysis.html" alt="pyspottedunipd.analysis.models.StatsAnalysis" shape="rect" coords="0,112,335,136"/>
<area href="classpyspottedunipd_1_1analysis_1_1models_1_1_facebook_posts_data_filter.html" alt="pyspottedunipd.analysis.models.FacebookPostsDataFilter" shape="rect" coords="0,56,335,80"/>
</map>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:ad007a725b3c30ae85073899dbf1170b9"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classpyspottedunipd_1_1analysis_1_1models_1_1_m_l_analysis.html#ad007a725b3c30ae85073899dbf1170b9">__init__</a> (self, <a class="el" href="classpyspottedunipd_1_1analysis_1_1models_1_1_facebook_posts_data_filter.html#a48ef6c27fc329d19d52e03833ba111e5">dataset_file</a>)</td></tr>
<tr class="separator:ad007a725b3c30ae85073899dbf1170b9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7272cf85f620dced34e85e65943bfabf"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classpyspottedunipd_1_1analysis_1_1models_1_1_m_l_analysis.html#a7272cf85f620dced34e85e65943bfabf">parse_csv</a> (self)</td></tr>
<tr class="separator:a7272cf85f620dced34e85e65943bfabf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1db6345c9add69921d00c043db5da1f7"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classpyspottedunipd_1_1analysis_1_1models_1_1_m_l_analysis.html#a1db6345c9add69921d00c043db5da1f7">show_correlation_matrix_of_data</a> (self)</td></tr>
<tr class="separator:a1db6345c9add69921d00c043db5da1f7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa4a7fbbd36ca89bf98bbb9806253866a"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classpyspottedunipd_1_1analysis_1_1models_1_1_m_l_analysis.html#aa4a7fbbd36ca89bf98bbb9806253866a">predict_feature</a> (self, feature)</td></tr>
<tr class="separator:aa4a7fbbd36ca89bf98bbb9806253866a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac7410f3a984324dd6c9d6264f5ffaffc"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classpyspottedunipd_1_1analysis_1_1models_1_1_m_l_analysis.html#ac7410f3a984324dd6c9d6264f5ffaffc">cluster_analyze</a> (self, n_clusters=6)</td></tr>
<tr class="separator:ac7410f3a984324dd6c9d6264f5ffaffc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5ca1091086b6ebed9ebb55d347715d28"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classpyspottedunipd_1_1analysis_1_1models_1_1_m_l_analysis.html#a5ca1091086b6ebed9ebb55d347715d28">cluster_3d_plot</a> (self, labels, n_clusters=6)</td></tr>
<tr class="separator:a5ca1091086b6ebed9ebb55d347715d28"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adf85b34681dd486c6cd9b73f822cdcdb"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classpyspottedunipd_1_1analysis_1_1models_1_1_m_l_analysis.html#adf85b34681dd486c6cd9b73f822cdcdb">select_k_best</a> (self, feature, k=5)</td></tr>
<tr class="separator:adf85b34681dd486c6cd9b73f822cdcdb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classpyspottedunipd_1_1analysis_1_1models_1_1_stats_analysis"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classpyspottedunipd_1_1analysis_1_1models_1_1_stats_analysis')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classpyspottedunipd_1_1analysis_1_1models_1_1_stats_analysis.html">pyspottedunipd.analysis.models.StatsAnalysis</a></td></tr>
<tr class="memitem:a4841441ebaf180449297cccc8885c77b inherit pub_methods_classpyspottedunipd_1_1analysis_1_1models_1_1_stats_analysis"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classpyspottedunipd_1_1analysis_1_1models_1_1_stats_analysis.html#a4841441ebaf180449297cccc8885c77b">__init__</a> (self, <a class="el" href="classpyspottedunipd_1_1analysis_1_1models_1_1_facebook_posts_data_filter.html#a48ef6c27fc329d19d52e03833ba111e5">dataset_file</a>)</td></tr>
<tr class="separator:a4841441ebaf180449297cccc8885c77b inherit pub_methods_classpyspottedunipd_1_1analysis_1_1models_1_1_stats_analysis"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a496abc3705fe7bf77f582593185554aa inherit pub_methods_classpyspottedunipd_1_1analysis_1_1models_1_1_stats_analysis"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classpyspottedunipd_1_1analysis_1_1models_1_1_stats_analysis.html#a496abc3705fe7bf77f582593185554aa">show_correlation_matrix</a> (self, title_image, headers_to_analyze)</td></tr>
<tr class="separator:a496abc3705fe7bf77f582593185554aa inherit pub_methods_classpyspottedunipd_1_1analysis_1_1models_1_1_stats_analysis"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classpyspottedunipd_1_1analysis_1_1models_1_1_facebook_posts_data_filter"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classpyspottedunipd_1_1analysis_1_1models_1_1_facebook_posts_data_filter')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classpyspottedunipd_1_1analysis_1_1models_1_1_facebook_posts_data_filter.html">pyspottedunipd.analysis.models.FacebookPostsDataFilter</a></td></tr>
<tr class="memitem:aa60573d359cb6c8a4004e2be75e1daf5 inherit pub_methods_classpyspottedunipd_1_1analysis_1_1models_1_1_facebook_posts_data_filter"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classpyspottedunipd_1_1analysis_1_1models_1_1_facebook_posts_data_filter.html#aa60573d359cb6c8a4004e2be75e1daf5">__init__</a> (self, <a class="el" href="classpyspottedunipd_1_1analysis_1_1models_1_1_facebook_posts_data_filter.html#a48ef6c27fc329d19d52e03833ba111e5">dataset_file</a>)</td></tr>
<tr class="separator:aa60573d359cb6c8a4004e2be75e1daf5 inherit pub_methods_classpyspottedunipd_1_1analysis_1_1models_1_1_facebook_posts_data_filter"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7410ac8346a93e803df0730878c7e30f inherit pub_methods_classpyspottedunipd_1_1analysis_1_1models_1_1_facebook_posts_data_filter"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classpyspottedunipd_1_1analysis_1_1models_1_1_facebook_posts_data_filter.html#a7410ac8346a93e803df0730878c7e30f">parse_csv</a> (self)</td></tr>
<tr class="separator:a7410ac8346a93e803df0730878c7e30f inherit pub_methods_classpyspottedunipd_1_1analysis_1_1models_1_1_facebook_posts_data_filter"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4c1af8e07f1fca90105cefe94ae21e15 inherit pub_methods_classpyspottedunipd_1_1analysis_1_1models_1_1_facebook_posts_data_filter"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classpyspottedunipd_1_1analysis_1_1models_1_1_facebook_posts_data_filter.html#a4c1af8e07f1fca90105cefe94ae21e15">write_csv</a> (self, headers, data, out_file)</td></tr>
<tr class="separator:a4c1af8e07f1fca90105cefe94ae21e15 inherit pub_methods_classpyspottedunipd_1_1analysis_1_1models_1_1_facebook_posts_data_filter"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-attribs"></a>
Static Public Attributes</h2></td></tr>
<tr class="memitem:a6e0e271086595e61270a244da1d0c739"><td class="memItemLeft" align="right" valign="top">list&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classpyspottedunipd_1_1analysis_1_1models_1_1_m_l_analysis.html#a6e0e271086595e61270a244da1d0c739">HEADERS_TO_ANALYZE</a></td></tr>
<tr class="separator:a6e0e271086595e61270a244da1d0c739"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a837e6e213c5a41ba13f92b87b9bb3d2e"><td class="memItemLeft" align="right" valign="top">list&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classpyspottedunipd_1_1analysis_1_1models_1_1_m_l_analysis.html#a837e6e213c5a41ba13f92b87b9bb3d2e">TIME_HEADERS_TO_CONVERT</a></td></tr>
<tr class="separator:a837e6e213c5a41ba13f92b87b9bb3d2e"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pub_static_methods_classpyspottedunipd_1_1analysis_1_1models_1_1_stats_analysis"><td colspan="2" onclick="javascript:toggleInherit('pub_static_methods_classpyspottedunipd_1_1analysis_1_1models_1_1_stats_analysis')"><img src="closed.png" alt="-"/>&#160;Static Public Member Functions inherited from <a class="el" href="classpyspottedunipd_1_1analysis_1_1models_1_1_stats_analysis.html">pyspottedunipd.analysis.models.StatsAnalysis</a></td></tr>
<tr class="memitem:adf5b8a2bcb4064edd61e8836125ad622 inherit pub_static_methods_classpyspottedunipd_1_1analysis_1_1models_1_1_stats_analysis"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classpyspottedunipd_1_1analysis_1_1models_1_1_stats_analysis.html#adf5b8a2bcb4064edd61e8836125ad622">get_top_posts</a> (headers, data, likes_header=&quot;likes&quot;, min_likes_to_be_top_posts=90)</td></tr>
<tr class="separator:adf5b8a2bcb4064edd61e8836125ad622 inherit pub_static_methods_classpyspottedunipd_1_1analysis_1_1models_1_1_stats_analysis"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_static_methods_classpyspottedunipd_1_1analysis_1_1models_1_1_facebook_posts_data_filter"><td colspan="2" onclick="javascript:toggleInherit('pub_static_methods_classpyspottedunipd_1_1analysis_1_1models_1_1_facebook_posts_data_filter')"><img src="closed.png" alt="-"/>&#160;Static Public Member Functions inherited from <a class="el" href="classpyspottedunipd_1_1analysis_1_1models_1_1_facebook_posts_data_filter.html">pyspottedunipd.analysis.models.FacebookPostsDataFilter</a></td></tr>
<tr class="memitem:a7889fa48c8c7ca17f274971e7769e29c inherit pub_static_methods_classpyspottedunipd_1_1analysis_1_1models_1_1_facebook_posts_data_filter"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classpyspottedunipd_1_1analysis_1_1models_1_1_facebook_posts_data_filter.html#a7889fa48c8c7ca17f274971e7769e29c">convert_time_columns</a> (headers, headers_to_convert, data)</td></tr>
<tr class="separator:a7889fa48c8c7ca17f274971e7769e29c inherit pub_static_methods_classpyspottedunipd_1_1analysis_1_1models_1_1_facebook_posts_data_filter"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1a78fcf3b4ce5299afdf160b79636a35 inherit pub_static_methods_classpyspottedunipd_1_1analysis_1_1models_1_1_facebook_posts_data_filter"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classpyspottedunipd_1_1analysis_1_1models_1_1_facebook_posts_data_filter.html#a1a78fcf3b4ce5299afdf160b79636a35">add_time_columns</a> (headers, data, date_header, time_header)</td></tr>
<tr class="separator:a1a78fcf3b4ce5299afdf160b79636a35 inherit pub_static_methods_classpyspottedunipd_1_1analysis_1_1models_1_1_facebook_posts_data_filter"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a39d5f5617721928dc6298443f2596e58 inherit pub_static_methods_classpyspottedunipd_1_1analysis_1_1models_1_1_facebook_posts_data_filter"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classpyspottedunipd_1_1analysis_1_1models_1_1_facebook_posts_data_filter.html#a39d5f5617721928dc6298443f2596e58">add_msg_stats_columns</a> (headers, data, message_column)</td></tr>
<tr class="separator:a39d5f5617721928dc6298443f2596e58 inherit pub_static_methods_classpyspottedunipd_1_1analysis_1_1models_1_1_facebook_posts_data_filter"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_attribs_classpyspottedunipd_1_1analysis_1_1models_1_1_facebook_posts_data_filter"><td colspan="2" onclick="javascript:toggleInherit('pub_attribs_classpyspottedunipd_1_1analysis_1_1models_1_1_facebook_posts_data_filter')"><img src="closed.png" alt="-"/>&#160;Public Attributes inherited from <a class="el" href="classpyspottedunipd_1_1analysis_1_1models_1_1_facebook_posts_data_filter.html">pyspottedunipd.analysis.models.FacebookPostsDataFilter</a></td></tr>
<tr class="memitem:a48ef6c27fc329d19d52e03833ba111e5 inherit pub_attribs_classpyspottedunipd_1_1analysis_1_1models_1_1_facebook_posts_data_filter"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classpyspottedunipd_1_1analysis_1_1models_1_1_facebook_posts_data_filter.html#a48ef6c27fc329d19d52e03833ba111e5">dataset_file</a></td></tr>
<tr class="separator:a48ef6c27fc329d19d52e03833ba111e5 inherit pub_attribs_classpyspottedunipd_1_1analysis_1_1models_1_1_facebook_posts_data_filter"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><pre class="fragment">Carries out popular machine-learning tasks on Facebook posts data </pre> 
<p>Definition at line <a class="el" href="analysis_2models_8py_source.html#l00384">384</a> of file <a class="el" href="analysis_2models_8py_source.html">models.py</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="ad007a725b3c30ae85073899dbf1170b9"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def pyspottedunipd.analysis.models.MLAnalysis.__init__ </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>dataset_file</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">:param dataset_file: str
    Path to folder with data to analyse
</pre> 
<p>Definition at line <a class="el" href="analysis_2models_8py_source.html#l00418">418</a> of file <a class="el" href="analysis_2models_8py_source.html">models.py</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="a5ca1091086b6ebed9ebb55d347715d28"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def pyspottedunipd.analysis.models.MLAnalysis.cluster_3d_plot </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>labels</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>n_clusters</em> = <code>6</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">:param labels: [] of str (len = 3)
    Features to cluster data. Each item must be in the csv data file. Each label is one of x, y, z axis
:param n_clusters: int
    Number of clusters
:return: void
    Plots 3D chart with clusters based on selected features
</pre> 
<p>Definition at line <a class="el" href="analysis_2models_8py_source.html#l00515">515</a> of file <a class="el" href="analysis_2models_8py_source.html">models.py</a>.</p>

</div>
</div>
<a class="anchor" id="ac7410f3a984324dd6c9d6264f5ffaffc"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def pyspottedunipd.analysis.models.MLAnalysis.cluster_analyze </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>n_clusters</em> = <code>6</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">:param n_clusters: int
    Number of clusters
:return: void
    Computes cluster analysis: see how each cluster is made up.
</pre> 
<p>Definition at line <a class="el" href="analysis_2models_8py_source.html#l00473">473</a> of file <a class="el" href="analysis_2models_8py_source.html">models.py</a>.</p>

</div>
</div>
<a class="anchor" id="a7272cf85f620dced34e85e65943bfabf"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def pyspottedunipd.analysis.models.MLAnalysis.parse_csv </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">:return: tuple [], [] of []
    Headers of csv file and data
</pre> 
<p>Definition at line <a class="el" href="analysis_2models_8py_source.html#l00426">426</a> of file <a class="el" href="analysis_2models_8py_source.html">models.py</a>.</p>

</div>
</div>
<a class="anchor" id="aa4a7fbbd36ca89bf98bbb9806253866a"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def pyspottedunipd.analysis.models.MLAnalysis.predict_feature </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>feature</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">:param feature: str
    Name of feature (column name) to predict
:return: void
    Predicts feature with linear regression
</pre> 
<p>Definition at line <a class="el" href="analysis_2models_8py_source.html#l00444">444</a> of file <a class="el" href="analysis_2models_8py_source.html">models.py</a>.</p>

</div>
</div>
<a class="anchor" id="adf85b34681dd486c6cd9b73f822cdcdb"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def pyspottedunipd.analysis.models.MLAnalysis.select_k_best </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>feature</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>k</em> = <code>5</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">:param feature: str
    Name of feature (column name) to predict
:param k: int
    Number of features to select
:return: void
    Selects the best features to predict feature
</pre> 
<p>Definition at line <a class="el" href="analysis_2models_8py_source.html#l00566">566</a> of file <a class="el" href="analysis_2models_8py_source.html">models.py</a>.</p>

</div>
</div>
<a class="anchor" id="a1db6345c9add69921d00c043db5da1f7"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def pyspottedunipd.analysis.models.MLAnalysis.show_correlation_matrix_of_data </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">:return: void
    Shows correlation matrix of data of files in folder
</pre> 
<p>Definition at line <a class="el" href="analysis_2models_8py_source.html#l00436">436</a> of file <a class="el" href="analysis_2models_8py_source.html">models.py</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a class="anchor" id="a6e0e271086595e61270a244da1d0c739"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">list pyspottedunipd.analysis.models.MLAnalysis.HEADERS_TO_ANALYZE</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<b>Initial value:</b><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;= [</div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;        <span class="comment"># &quot;message&quot;,</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;        <span class="stringliteral">&quot;comments&quot;</span>,</div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;        <span class="comment"># &quot;date&quot;,</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;        <span class="comment"># &quot;time&quot;,</span></div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;        <span class="stringliteral">&quot;likes&quot;</span>,</div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;        <span class="stringliteral">&quot;shares&quot;</span>,</div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;        <span class="comment"># &quot;id&quot;,</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;        <span class="comment"># &quot;year&quot;,</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;        <span class="stringliteral">&quot;month&quot;</span>,</div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;        <span class="stringliteral">&quot;day&quot;</span>,</div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;        <span class="stringliteral">&quot;hour&quot;</span>,</div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;        <span class="stringliteral">&quot;minute&quot;</span>,</div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;        <span class="comment"># &quot;second&quot;,</span></div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;        <span class="stringliteral">&quot;# words&quot;</span>,</div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;        <span class="stringliteral">&quot;avg length of words&quot;</span>,</div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;        <span class="stringliteral">&quot;# words longer than 3&quot;</span>,</div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;        <span class="stringliteral">&quot;avg length of words longer than 3&quot;</span>,</div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;        <span class="stringliteral">&quot;# words longer than 5&quot;</span>,</div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;        <span class="stringliteral">&quot;avg length of words longer than 5&quot;</span>,</div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;        <span class="stringliteral">&quot;# words longer than 7&quot;</span>,</div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;        <span class="stringliteral">&quot;avg length of words longer than 7&quot;</span>,</div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;        <span class="stringliteral">&quot;# words longer than 9&quot;</span>,</div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;        <span class="stringliteral">&quot;avg length of words longer than 9&quot;</span>,</div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;        <span class="stringliteral">&quot;# words longer than 11&quot;</span>,</div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;        <span class="stringliteral">&quot;avg length of words longer than 11&quot;</span></div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;    ]</div></div><!-- fragment -->
<p>Definition at line <a class="el" href="analysis_2models_8py_source.html#l00387">387</a> of file <a class="el" href="analysis_2models_8py_source.html">models.py</a>.</p>

</div>
</div>
<a class="anchor" id="a837e6e213c5a41ba13f92b87b9bb3d2e"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">list pyspottedunipd.analysis.models.MLAnalysis.TIME_HEADERS_TO_CONVERT</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<b>Initial value:</b><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;= [</div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;        <span class="comment"># &quot;time&quot;</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;    ]</div></div><!-- fragment -->
<p>Definition at line <a class="el" href="analysis_2models_8py_source.html#l00414">414</a> of file <a class="el" href="analysis_2models_8py_source.html">models.py</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>/home/stefano/Coding/Python/projects/spotted-unipd/pyspottedunipd/analysis/<a class="el" href="analysis_2models_8py_source.html">models.py</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespacepyspottedunipd.html">pyspottedunipd</a></li><li class="navelem"><a class="el" href="namespacepyspottedunipd_1_1analysis.html">analysis</a></li><li class="navelem"><a class="el" href="namespacepyspottedunipd_1_1analysis_1_1models.html">models</a></li><li class="navelem"><a class="el" href="classpyspottedunipd_1_1analysis_1_1models_1_1_m_l_analysis.html">MLAnalysis</a></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
